Subject: bug#34150: 26.1; Document filtering with `isearch-filter-predicate' in Elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Jan 2019 20:27:29 +0200

> Date: Mon, 21 Jan 2019 10:18:23 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > I don't see why the doc string shouldn't be enough.  This is a quite
> > obscure feature, so I don't think it warrants to be described in the
> > manual.
> 
> I disagree that it is obscure - or that it should be,
> at least.

??? Most searches don't need any filtering at all.

> > I modified the doc string to mention Isearch and replace commands.
> 
> Thanks.  And non-command functions such as `re-search-forward'?

Not primitives, no.  This is a Lisp-only (application-level) feature.

> > > One thing that it would also be good to make extra clear is that
> > > filtering takes place _after_ input matching; it is not part of
> > > matching.
> > 
> > How can it be part of matching, if the filter needs to be passed the
> > limits of the matched text?
> 
> No one contests that impossibility.
> 
> But it and its consequences are not necessarily
> obvious - especially to a user searching, as opposed
> to a programmer writing a filter predicate.

This is not a user-level facility, so the user perspective is not
relevant.